Bug 428156 - SELinux is preventing /usr/sbin/logrotate (logrotate_t) "write" to (NetworkManager_log_t).
SELinux is preventing /usr/sbin/logrotate (logrotate_t) "write" to (NetworkMa...
Product: Fedora
Classification: Fedora
Component: NetworkManager (Show other bugs)
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Dan Williams
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2008-01-09 12:50 EST by Dave Allan
Modified: 2008-10-20 11:06 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-10-20 11:06:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Dave Allan 2008-01-09 12:50:41 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv: Gecko/20071213 Fedora/ Firefox/

Description of problem:
Source Context:  system_u:system_r:logrotate_t:s0Target Context:  unconfined_u:object_r:NetworkManager_log_t:s0Target Objects:  None [ file ]Affected RPM Packages:  logrotate-3.7.6-1.3.fc8 [application]Policy RPM:  selinux-policy-3.0.8-72.fc8Selinux Enabled:  TruePolicy Type:  targetedMLS Enabled:  TrueEnforcing Mode:  EnforcingPlugin Name:  plugins.catchall_fileHost Name:  merryPlatform:  Linux merry #1 SMP Fri Dec 7 15:49:59 EST 2007 i686 i686Alert Count:  2First Seen:  Tue 08 Jan 2008 10:25:06 PM ESTLast Seen:  Wed 09 Jan 2008 12:25:59 PM ESTLocal ID:  237d95c1-9859-4af3-8422-defc07d0ce22Line Numbers:  Raw Audit Messages :avc: denied { write } for comm=logrotate dev=sda2 egid=0 euid=0 exe=/usr/sbin/logrotate exit=-13 fsgid=0 fsuid=0 gid=0 items=0 name=wpa_supplicant.log pid=3525 scontext=system_u:system_r:logrotate_t:s0 sgid=0 subj=system_u:system_r:logrotate_t:s0 suid=0 tclass=file tcontext=unconfined_u:object_r:NetworkManager_log_t:s0 tty=(none) uid=0 

Version-Release number of selected component (if applicable):

How reproducible:
Didn't try

Steps to Reproduce:

Actual Results:

Expected Results:

Additional info:
Comment 1 Dan Williams 2008-10-20 10:44:16 EDT
do you still get this with recent policy updates and recent NetworkManager?  Pretty sure this is gone now...
Comment 2 Dave Allan 2008-10-20 11:06:03 EDT
Yep--I haven't seen it in months.  I've closed it as 'worksforme' which is a bit odd, as I opened it, but I figure that's the closest option, since I don't know how or when it was fixed.

Note You need to log in before you can comment on or make changes to this bug.